summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorFlorian Westphal <fw@strlen.de>2022-03-04 11:30:55 +0100
committerFlorian Westphal <fw@strlen.de>2022-03-04 12:14:39 +0100
commit4e718641397c876315a87db441afc53139863122 (patch)
treed657b5b4c4a49c47f87b4aa7e03850030062c372 /tests
parent1ea71c23c2231e14cbfca059f8650e6709836361 (diff)
evaluate: init cmd pointer for new on-stack context
else, this will segfault when trying to print the "table 'x' doesn't exist" error message. Signed-off-by: Florian Westphal <fw@strlen.de>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/shell/testcases/chains/0041chain_binding_06
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0041chain_binding_0 b/tests/shell/testcases/chains/0041chain_binding_0
index 59bdbe9f..4b541bb5 100755
--- a/tests/shell/testcases/chains/0041chain_binding_0
+++ b/tests/shell/testcases/chains/0041chain_binding_0
@@ -1,5 +1,11 @@
#!/bin/bash
+# no table x, caused segfault in earlier nft releases
+$NFT insert rule inet x y handle 107 'goto { log prefix "MOO! "; }'
+if [ $? -ne 1 ]; then
+ exit 1
+fi
+
set -e
EXPECTED="table inet x {